[uplug] java-konfiguration

Thomas Mellenthin thomas at home.mellenthin.de
So Sep 7 00:08:37 CEST 2008


Mike Herbrich wrote:
 > [Java]
> Der Hintergrund der Aktion ist der, daß die Antivir-gui die Version 1.4  
> verlangte und da ich jetzt noch jaolt (für Ebay) installieren möchte  
> brauche ich entweder sun-java6-jre oder sun-java5-jre oder,oder,oder.
> Möchte ich nun "jaolt" installieren wird gemeckert, daß nicht die richtige  
> java-version installiert sei.
> Ein "java -version" gibt als Ausgabe : java version "1.4.2"
>                                                     gij (GNU libgcj)  
> version 4.1.2. ...    aus.
> 
> Würde für mich heißen, daß gij -4.1 und j2re1.4.2 erkannt werden, aber  
> jre1.6.0_07 nicht, oder irre ich mich hier.
Grundsätzlich ist die Java-Version aktiv, die zuerst im $PATH gefunden 
wird. Auf den meisten Systemen musst Du dann den PATH anpassen. Zum 
Glück ist das bei debian eleganter gelöst:

   sudo update-alternatives --config java

erlaubt Dir die benötigte Java-Version aus den installierten JVMs 
auszuwählen.


// melle

-- 
passion: http://www.mellenthin.de
mission: http://www.freifunk-potsdam.de
blog: http://blog.mellenthin.de
fotoblog: http://www.dysternis.de
flickr: http://flickr.com/photos/melle




Mehr Informationen über die Mailingliste upLUG